lcov (2.1~beta-1) unstable; urgency=medium

  * New upstream release
  * Depend on libtimedate-perl, python. Closes: #1067687
  * Re-enable tests
  * Add B-D on libdevel-cover-perl

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Mar 2024 07:07:09 +0000

lcov (2.0-4) unstable; urgency=medium

  * Missing runtime dependency on libdatetime-perl and libcapture-tiny-perl.
    Thanks  Diego Escalante Urrelo. Closes: #1053252
  * Mark lcov as Multi-arch: Foreign. Closes: #1040402

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Jan 2024 12:23:45 +0000

lcov (2.0-3) unstable; urgency=medium

  * Bypass tests: currently they hang build 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Sep 2023 15:56:37 +0100

lcov (2.0-2) unstable; urgency=medium

  * Ship lcovutil.pm in /usr/share/perl5. Closes: #1043009
  * Close bug fixed in lcov 1.16. Closes: #1035394
  * Patches obsolete/removed:
    - gcc8.patch
    - gcc-9-support.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 Sep 2023 13:17:44 +0100

lcov (2.0-1) unstable; urgency=medium

  * New upstream release
  * Patches now obsolete/merged:
    - handle-equals-signs.patch
    - fix-undef-behaviour.patch
    - reproducibility2.patch
    - 0001-bin-updateversion.pl-avoid-setting-timestamp-bui.patch
  * Fix by Vagrant Cascadian of embedded tz in timestamps breaking
    reproucibility. Closes: #10354394
  * Standards-Version: 4.6.2
  * Build-Dep on libdatetime-perl, libcapture-tiny-perl

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Aug 2023 16:19:48 +0100

lcov (1.16-1) unstable; urgency=medium

  * New upstream release
    - rebase patches
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Jun 2022 09:19:45 +0100

lcov (1.15-2) unstable; urgency=medium

  * version.patch: version incorrectly reported. Closes: #1011531
  * Close fixed bug; repository now populated. Closes: #990915
  * Patch from Vagrant Cascadian on reproduciblity. Closes: #990914

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 May 2022 14:12:59 +0100

lcov (1.15-1) unstable; urgency=medium

  * New upstream release. Closes: #998808
  * Standards-Version: 4.6.0
  * Use debhelper-compat 13
  * Add debian/gpb.conf file with DEP-14 branches
  * Archive moved to github; update d/watch file
  * Point Vcs-Git to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Nov 2021 12:18:27 +0000

lcov (1.14-2) unstable; urgency=medium

  * Add patch for gcc 9 support from  upstream. Closes: #924573
  * Ack upgrade to 1.14. Closes: #924573
  * Use debhelper-compat (=12)
  * Standards-Version: 4.4.0
  * Point the VCS to a real salsa repo. Closes: #848955

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Aug 2019 09:29:20 +0100

lcov (1.14-1) unstable; urgency=medium

  * New Upstream release
  * Standards-Version: 4.3.0
  * Now use debhelper 12

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Jun 2019 13:23:54 +0100

lcov (1.13-4) unstable; urgency=medium

  * Add support for gcc8.
  * Standards-Version: 4.1.4; no changes required
  * Add VCS on salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 May 2018 09:07:06 +0100

lcov (1.13-3) unstable; urgency=medium

  * More changes to use dh for bit-reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Oct 2017 18:59:32 +0100

lcov (1.13-2) unstable; urgency=medium

  * Standards-Version: 4.1.1; no changes required
  * Use dh_install to do installation for greater reproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Oct 2017 16:38:07 +0100

lcov (1.13-1) unstable; urgency=medium

  * New upstream release. Thanks Sylvestre Ledru. Closes: #848956
  * Move to debhelper 10
  * Remove obsolet patches

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Dec 2016 08:25:40 +0000

lcov (1.12-3) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * Further reproducibility: Ensure filenames are handled in LC_ALL=C order
	
 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jul 2016 12:25:25 +0100

lcov (1.12-2) unstable; urgency=medium

  * Patch for reproducibility from Reiner Herrmann. Closes: #803412. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Oct 2015 01:59:16 +0000

lcov (1.12-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6
  * Add Vcs-Git to debian/control

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Oct 2015 17:09:43 +0100

lcov (1.11-3) unstable; urgency=medium

  * Fix each() behaviour now undefined  with perl5.20. Closes: #761308.
  * Acknowledge bug fixed in previous release: Closes: #607206.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Sep 2014 14:05:50 +0100

lcov (1.11-2) unstable; urgency=medium

  * Fix for fail on virtual destructors. Thanks to  Peter Oberparleiter.
    Closes: #752451.
  * Now use xz compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Jun 2014 16:22:33 +0100

lcov (1.11-1) unstable; urgency=medium

  * New upstream release. Closes: #750192.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jun 2014 08:37:11 +0100

lcov (1.10-1) unstable; urgency=low

  [Alastair McKinstry]
  * New upstream release. Closes: #699426.
  * Standards-Version: 3.9.5 
  * DH_COMPAT=9 now.
  * Add watch file.

  [Zack Weinberg]
   * Refresh debian/patches:
     - recursion.patch: Applied upstream (closes: #588322)
     - three-arg-open.patch: Applied upstream.
     - genhtml_missing_file.patch: Fixed differently upstream (closes: #578751)
     - utf8-output.patch: Fixed differently upstream (closes #590562)
     - gcc-compat-4.7.patch: Fixed differently upstream.
     - perl-nocaps.patch: Partially applied upstream.
   * New local patch (handle-equals-signs.patch) for the floods of
         geninfo: Argument "=====" isn't numeric. 
      errors that you can get when processing C++ with exception handlers.  
      Closes: #699565.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Nov 2013 15:51:29 +0000

lcov (1.9-3) unstable; urgency=low

   * Apply Fedora patches by Daniel Berrange, thanks to Michael Wild:
     - gcc-compat-4.7.patch: Fix compat with gcc 4.7
     - three-arg-open.patch: Replace 2 argument open with 3 argument open
   * DH_COMPAT=8 now. 
   * Check FTBFS now fixed:  Closes: #647138.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 May 2012 13:42:56 +0100

lcov (1.9-2) unstable; urgency=low

  * Patch to change genhtml got overwritten by autogenerated debian-changes
    patch. Fixed. Closes: #5999932. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Oct 2010 00:11:27 +0100

lcov (1.9-1) unstable; urgency=low

  * New upstream release. Closes: #599388, #413834.
  * Standards-Version: 3.9.1
  * Patch from Enrico Zini for genhtml in missing source file case.
    Closes: #578571.
  * Patch from Guillem Jover for UTF-8. Closes: #590562.
  * PERL should be spelt "Perl". Closes: #589753.
  * Add Depends: on ${perl:Depends}, gcc; Recommends: libgd-gd2-perl

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Oct 2010 13:52:49 +0100

lcov (1.8-2) unstable; urgency=low

  * Pass --no-recursion flag to geninfo. Patch thanks to 
    Guillem Jover. Closes: #588322. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Jul 2010 12:04:20 +0100

lcov (1.8-1) unstable; urgency=low

  * New upstream release. Closes: #561111.
  * Standards-Version: 3.8.4.
  * Moved to debhelper 7 format , source format 3.0
  * Added Homepage: to debian/control. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Mar 2010 12:21:21 +0000

lcov (1.7-1) unstable; urgency=low

  * New upstream release: Closes: #478206. 
   - libtool patch no longer required.
  * Move to Standards-Version: 3.8.1; no changes required.
  * Formatted Description better for web display. Closes: #480325.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Apr 2009 14:00:15 +0100

lcov (1.6-1) unstable; urgency=low

  * New upstream version. Closes: #479206, #470072.
     - remove patch 10_gcov_tool, now implemented upstream.
     - remove patch 30_compat_libtool, now implemented upstream.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Apr 2008 18:48:08 +0100

lcov (1.5-3) unstable; urgency=low

  * Move DH_COMPAT to debian/compat.
  * Move to Standards-Version: 3.7.3. No changes required.
  * debhelper needs to be in Build-Depends, not Build-Depends-Indep.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Mar 2008 14:21:22 +0000

lcov (1.5-2) unstable; urgency=low

  * Add libtool compatability patch from CVS. Closes: #431397.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Sep 2007 16:13:14 +0100

lcov (1.5-1) unstable; urgency=low

  * New upstream release.
  * Move to DH_COMPAT=5. No changes required.
  * Move to Standards-Version: 3.7.2. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Sep 2006 15:46:57 +0100

lcov (1.4-1) unstable; urgency=low

  * New upstream release 1.4. Closes: #293184.
  * Include lcov examples.
  * Add Section: devel to debian/control
  * Moved to Standards-Version: 3.6.2; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  4 Aug 2005 21:16:04 +0100

lcov (1.3-4) unstable; urgency=low

  * Fix breakage for geninfo on C++ headers. Closes: #293184.
  * Allow option --gcov-tool to change which gcov we use. Closes: #293180.
  * Work with libtool'd libraries. Closes: #290476. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Feb 2005 21:24:35 +0000

lcov (1.3-3) unstable; urgency=low

  * Depend on dbs, not cdbs: Closes: #253613.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Jun 2004 19:34:00 +0100

lcov (1.3-2) unstable; urgency=low

  * Add dependency on cdbs. Closes: #253613. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Jun 2004 19:57:45 +0100

lcov (1.3-1) unstable; urgency=low

   * Initial Release.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 May 2004 21:57:53 +0100
